# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=grep
pkgver=3.7
pkgrel=2
pkgdesc="A string search utility"
arch=('x86_64')
url="https://www.gnu.org/software/grep/"
license=('GPL3')
groups=('base')
depends=('glibc' 'pcre')
makedepends=('bash' 'binutils' 'coreutils' 'diffutils' 'gcc' 'gettext' 'grep' 'make' 'patch' 'sed' 'texinfo')
checkdepends=('gawk')
source=(https://ftp.gnu.org/gnu/${pkgname}/${pkgname}-${pkgver}.tar.xz)
sha256sums=(5c10da312460aec721984d5d83246d24520ec438dd48d7ab5a05dbc0d6d6823c)

build() {
    cd ${pkgname}-${pkgver}

    ${configure}

    make
}

package() {
    cd ${pkgname}-${pkgver}

    make DESTDIR=${pkgdir} install
}
